Subject: bug#5365: 23.1.91; Wrong type argument: keymapp, ("DEAD" . 35215396)

From: Stefan Monnier <[email-masked]>
Date: Wed, 13 Jan 2010 23:21:00 -0500

>> Indeed, that looks risky.  Why don't we add this new kboard to the
>> all_kboards list before calling Qvendor_specific_keysyms?
> We'd still have to protect the terminal object.

Why?  It's a normal Lisp object, so it should be protected by the usual
GCPRO or stack marking, no?
[ Oddly enough, mark_terminal doesn't traverse the terminal's kboard.  ]

As for my original question: can anyone think of a reason not to place
the new kboard in all_kboards earlier?

        Stefan